# Module os::sbi

source · [−]
Expand description

SBI call wrappers

## Constants

SBI_CONSOLE_PUTCHAR 🔒
SBI_SET_TIMER 🔒
SBI_SHUTDOWN 🔒

## Functions

console_putchar

use sbi call to putchar in console (qemu uart handler)

sbi_call 🔒

handle SBI call with `which` SBI_id and other arguments

set_timer

use sbi call to set timer

shutdown

use sbi call to getchar from console (qemu uart handler) use sbi call to shutdown the kernel